GrailsTestInterceptor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.support
[Groovy] Class GrailsTestInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestInterceptor

    @groovy.transform.CompileStatic
    class GrailsTestInterceptor
    extends java.lang.Object

Constructor Summary
`GrailsTestInterceptor(java.lang.Object test, GrailsTestMode mode, org.springframework.context.ApplicationContext appCtx, java.lang.String[] testClassSuffixes)`

Method Summary
`protected java.lang.Object` | `autowireIfNecessary()`
`protected GrailsTestAutowirer` | `createAutowirer()`
`protected GrailsTestRequestEnvironmentInterceptor` | `createRequestEnvironmentInterceptor()`
`protected GrailsTestTransactionInterceptor` | `createTransactionInterceptor()`
`void` | `destroy()`
`protected java.lang.Object` | `destroyRequestEnvironmentIfNecessary()`
`protected java.lang.Object` | `destroyTransactionIfNecessary()`
`protected java.lang.String` | `getControllerName()`
`void` | `init()`
`protected java.lang.Object` | `initRequestEnvironmentIfNecessary()`
`protected java.lang.Object` | `initTransactionIfNecessary()`
`void` | `wrap(groovy.lang.Closure body)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsTestInterceptor

    GrailsTestInterceptor(java.lang.Object test, GrailsTestMode mode, org.springframework.context.ApplicationContext appCtx, java.lang.String[] testClassSuffixes)

Method Detail

### autowireIfNecessary

    protected java.lang.Object autowireIfNecessary()

### createAutowirer

    protected GrailsTestAutowirer createAutowirer()

### createRequestEnvironmentInterceptor

    protected GrailsTestRequestEnvironmentInterceptor createRequestEnvironmentInterceptor()

### createTransactionInterceptor

    protected GrailsTestTransactionInterceptor createTransactionInterceptor()

### destroy

    void destroy()

### destroyRequestEnvironmentIfNecessary

    protected java.lang.Object destroyRequestEnvironmentIfNecessary()

### destroyTransactionIfNecessary

    protected java.lang.Object destroyTransactionIfNecessary()

### getControllerName

    protected java.lang.String getControllerName()

### init

    void init()

### initRequestEnvironmentIfNecessary

    protected java.lang.Object initRequestEnvironmentIfNecessary()

### initTransactionIfNecessary

    protected java.lang.Object initTransactionIfNecessary()

### wrap

    void wrap(groovy.lang.Closure body)

Groovy Documentation